# $Id: __init__.py,v 1.1.2.3 2004/11/16 01:04:05 boverhof Exp $

__all__ = ['wsdl2python', 'utility', 'containers']

class WsdlGeneratorError(Exception):
    pass

class Wsdl2PythonError(Exception):
    pass

class WSInteropError(Exception):
   '''Conformance to WS-I Basic-Profile 1.0 specification
   '''

class WSISpec:
    R2203 = 'An rpc-literal binding in a DESCRIPTION MUST refer, in its soapbind:body element(s), only to wsdl:part element(s) that have been defined using the type attribute.'
    R2717 = 'An rpc-literal binding in a DESCRIPTION MUST have the namespace attribute specified, the value of which MUST be an absolute URI, on contained  soapbind:body elements.'
